=== debian/changelog ===
ros-foxy-rcl-lifecycle (1.1.14-1focal) focal; urgency=high



 -- Karsten Knese <karsten@osrfoundation.org>  Mon, 25 Jul 2022 07:00:00 -0000

ros-foxy-rcl-lifecycle (1.1.13-1focal) focal; urgency=high



 -- Karsten Knese <karsten@osrfoundation.org>  Fri, 04 Feb 2022 08:00:00 -0000

ros-foxy-rcl-lifecycle (1.1.12-1focal) focal; urgency=high



 -- Karsten Knese <karsten@osrfoundation.org>  Mon, 31 Jan 2022 08:00:00 -0000

ros-foxy-rcl-lifecycle (1.1.11-1focal) focal; urgency=high

  * Update quality declaration links (re: ros2/docs.ros2.org#52 <https://github.com/ros2/docs.ros2.org/issues/52>) (#910 <https://github.com/ros2/rcl/issues/910>)
  * Contributors: Simon Honigmann

 -- Karsten Knese <karsten@osrfoundation.org>  Wed, 14 Apr 2021 07:00:00 -0000

ros-foxy-rcl-lifecycle (1.1.10-1focal) focal; urgency=high

  * Update build.ros2.org links (#868 <https://github.com/ros2/rcl/issues/868>)
  * Update QD to QL 1 (#867 <https://github.com/ros2/rcl/issues/867>)
  * Update QD (#843 <https://github.com/ros2/rcl/issues/843>)
  * Contributors: Alejandro Hernández Cordero, Christophe Bedard, Jorge Perez, Stephen Brawner

 -- Karsten Knese <karsten@osrfoundation.org>  Wed, 09 Dec 2020 08:00:00 -0000

ros-foxy-rcl-lifecycle (1.1.9-1focal) focal; urgency=high

  * Make sure to always check return values. (#840 <https://github.com/ros2/rcl/issues/840>)
  * Make sure to check the return value of rcl APIs. (#838 <https://github.com/ros2/rcl/issues/838>)
  * Fix test_rcl_lifecycle (#788 <https://github.com/ros2/rcl/issues/788>)
  * Add fault injection macros and unit tests to rcl_lifecycle (#731 <https://github.com/ros2/rcl/issues/731>)
  * Contributors: Chris Lalancette, brawner

 -- Karsten Knese <karsten@osrfoundation.org>  Tue, 03 Nov 2020 08:00:00 -0000

ros-foxy-rcl-lifecycle (1.1.8-1focal) focal; urgency=high

  * Set transition_map->states/transition size to 0 on fini (#729 <https://github.com/ros2/rcl/issues/729>) (#821 <https://github.com/ros2/rcl/issues/821>)
  * Topic fix rcl lifecycle test issue (#715 <https://github.com/ros2/rcl/issues/715>) (#796 <https://github.com/ros2/rcl/issues/796>)
  * Remove std::cout line from test_rcl_lifecycle.cpp (#773 <https://github.com/ros2/rcl/issues/773>) (#774 <https://github.com/ros2/rcl/issues/774>)
  * Contributors: Shane Loretz, Stephen Brawner

 -- Karsten Knese <karsten@osrfoundation.org>  Wed, 07 Oct 2020 07:00:00 -0000

ros-foxy-rcl-lifecycle (1.1.7-1focal) focal; urgency=high

  * Removed doxygen warnings (#712 <https://github.com/ros2/rcl/issues/712>) (#724 <https://github.com/ros2/rcl/issues/724>)
  * Contributors: Alejandro Hernández Cordero

 -- Karsten Knese <karsten@osrfoundation.org>  Mon, 03 Aug 2020 07:00:00 -0000

ros-foxy-rcl-lifecycle (1.1.6-1focal) focal; urgency=high



 -- Karsten Knese <karsten@osrfoundation.org>  Tue, 07 Jul 2020 07:00:00 -0000

ros-foxy-rcl-lifecycle (1.1.5-1focal) focal; urgency=high



 -- Karsten Knese <karsten@osrfoundation.org>  Wed, 03 Jun 2020 07:00:00 -0000

ros-foxy-rcl-lifecycle (1.1.4-1focal) focal; urgency=high



 -- Karsten Knese <karsten@osrfoundation.org>  Tue, 02 Jun 2020 07:00:00 -0000

ros-foxy-rcl-lifecycle (1.1.3-1focal) focal; urgency=high

  * Add Security Vulnerability Policy pointing to REP-2006 (#661 <https://github.com/ros2/rcl/issues/661>)
  * Contributors: Chris Lalancette

 -- Karsten Knese <karsten@osrfoundation.org>  Mon, 01 Jun 2020 07:00:00 -0000

ros-foxy-rcl-lifecycle (1.1.2-1focal) focal; urgency=high

  * Allow transition start and goal states to be null (#662 <https://github.com/ros2/rcl/issues/662>)
  * Contributors: Karsten Knese

 -- Karsten Knese <karsten@osrfoundation.org>  Thu, 28 May 2020 07:00:00 -0000

ros-foxy-rcl-lifecycle (1.1.1-1focal) focal; urgency=high

  * Increase rcl_lifecycle test coverage and add more safety checks (#649 <https://github.com/ros2/rcl/issues/649>)
  * Contributors: Stephen Brawner

 -- Karsten Knese <karsten@osrfoundation.org>  Tue, 26 May 2020 07:00:00 -0000

ros-foxy-rcl-lifecycle (1.1.0-1focal) focal; urgency=high

  * Update Quality Declaration for 1.0 (#647 <https://github.com/ros2/rcl/issues/647>)
  * Contributors: brawner

 -- Karsten Knese <karsten@osrfoundation.org>  Fri, 22 May 2020 07:00:00 -0000

ros-foxy-rcl-lifecycle (1.0.0-1focal) focal; urgency=high



 -- Karsten Knese <karsten@osrfoundation.org>  Tue, 12 May 2020 07:00:00 -0000

ros-foxy-rcl-lifecycle (0.9.1-1focal) focal; urgency=high

  * Included features (#644 <https://github.com/ros2/rcl/issues/644>)
  * Quality Declarations for rcl_action, rcl_lifecycle, yaml_parser (#641 <https://github.com/ros2/rcl/issues/641>)
  * Contributors: Alejandro Hernández Cordero, Stephen Brawner

 -- Karsten Knese <karsten@osrfoundation.org>  Fri, 08 May 2020 07:00:00 -0000

ros-foxy-rcl-lifecycle (0.9.0-1focal) focal; urgency=high

  * Added rcl_lifecycle Doxyfile (#633 <https://github.com/ros2/rcl/issues/633>)
  * Export targets in a addition to include directories / libraries (#635 <https://github.com/ros2/rcl/issues/635>)
  * Added documentation (#622 <https://github.com/ros2/rcl/issues/622>)
  * Fixed argument name in rcl_lifecycle.h (#626 <https://github.com/ros2/rcl/issues/626>)
  * Rename rosidl_generator_c namespace to rosidl_runtime_c (#616 <https://github.com/ros2/rcl/issues/616>)
  * Changed rosidl_generator_c/cpp to rosidl_runtime_c/cpp (#588 <https://github.com/ros2/rcl/issues/588>)
  * Removed rmw_implementation from package.xml (#575 <https://github.com/ros2/rcl/issues/575>)
  * Code style only: wrap after open parenthesis if not in one line (#565 <https://github.com/ros2/rcl/issues/565>)
  * Free valid_transitions for all states (#537 <https://github.com/ros2/rcl/issues/537>)
  * Contributors: Alejandro Hernández Cordero, Dirk Thomas, Víctor Mayoral Vilches

 -- Karsten Knese <karsten@osrfoundation.org>  Wed, 29 Apr 2020 07:00:00 -0000

ros-foxy-rcl-lifecycle (0.8.3-1focal) focal; urgency=high




