=== debian/control ===
Source: ros-foxy-rcl-lifecycle
Section: misc
Priority: optional
Maintainer: Karsten Knese <karsten@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake-gtest, ros-foxy-ament-cmake-ros, ros-foxy-ament-lint-auto, ros-foxy-ament-lint-common, ros-foxy-lifecycle-msgs, ros-foxy-osrf-testing-tools-cpp, ros-foxy-rcl, ros-foxy-rcutils, ros-foxy-rmw, ros-foxy-rosidl-runtime-c, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-rcl-lifecycle
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-lifecycle-msgs, ros-foxy-rcl, ros-foxy-rcutils, ros-foxy-rmw, ros-foxy-rosidl-runtime-c, ros-foxy-ros-workspace
Description: Package containing a C-based lifecycle implementation
